GetTopoGeomElementArray
Prev | 10.11. TopoGeometry Accessors | Next

## Name

GetTopoGeomElementArray — Returns a `topoelementarray` (an array of topoelements) containing the topological elements and type of the given TopoGeometry (primitive elements).

## Synopsis

`topoelementarray GetTopoGeomElementArray(`varchar toponame, integer layer_id, integer tg_id`)`;

`topoelementarray topoelement GetTopoGeomElementArray(`topogeometry tg`)`;

## Description

Returns a TopoElementArray containing the topological elements and type of the given TopoGeometry (primitive elements). This is similar to GetTopoGeomElements except it returns the elements as an array rather than as a dataset.

tg_id is the topogeometry id of the topogeometry object in the topology in the layer denoted by `layer_id` in the topology.layer table.

Availability: 1.1

## Examples

## See Also

GetTopoGeomElements, TopoElementArray

Prev | Up | Next
toTopoGeom | Home | GetTopoGeomElements